Subject: Re: [PATCH 2/3] Makefile: stop hardcoding {command,config}-list.h

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 18 Jun 2021 10:05:33 +0200

On Thu, Jun 17 2021, Felipe Contreras wrote:

> Ævar Arnfjörð Bjarmason wrote:
>> 
>> On Thu, Jun 17 2021, Felipe Contreras wrote:
>> 
>> > Ævar Arnfjörð Bjarmason wrote:
>> >> Change various places that hardcode the names of these two files to
>> >> refer to either $(GENERATED_H), or to a new generated-hdrs
>> >> target.
>> >
>> > Avoiding hard-coded things is generally a good idea, and I can smell
>> > there's an advantage nearby, but it's not stated.
>> >
>> > Can you spell out what you are trying to achieve?
>> 
>> It's hinted at in the CL,
>
> Yes, but the commit message should stand on its own.
>
>> but this is series 1/3 of a re-roll of the
>> base topic for config-based hooks, real use of this is made in step 2/3,
>> 3/3 has a better overview:
>> http://lore.kernel.org/git/[email-masked]
>
> Yeah, I read the cover letter afterwards, but I'm just putting my
> reviewer cap; the rationale belongs in the commit message: we will want
> more generated files in GENERATED_H.
>

Thanks, I'll reword it. I initially figured in this case it was better
not to distract from a stand-alone change with what inspired it, but
will do.

> Also, I presume you meant this one:
> https://lore.kernel.org/git/[email-masked]/

That's 2/3, but yes. That comes after this one. I meant to link to 3/3
to give the general overview of how this relates to that re-rolled topic
at large.